#include<bits/stdc++.h>
#include "partition.h"
using namespace std;

const long long maxa = 3 * 1e7 + 2;

const long long maxn = 1e5 + 2;
int br[maxa];

vector<int> solve(vector<int> A){
    vector<int> ans;
    int n = A.size();

    bool check = true;

    for(int i = 0 ; i < n ; i ++){
        br[A[i]] ++;
    }
    for(int i = 0 ; i < n ; i ++){
        if(br[A[i]] % 2 == 1){
             check = false;
        }
    }

    if(check){
        for(int i = 0 ; i < n ; i ++){
            if(br[A[i]] % 2 == 0){
                ans.push_back(i);
            }
            br[A[i]] --;
        }

        for(int i = 0 ; i < n ; i ++){
            if(br[A[i]] % 2 == 1){
                ans.push_back(i);
            }
            br[A[i]] ++;
        }
    }

    return ans;
}
